import {AttributeSpec} from "./AttributeSpec";

export class AttributeGroupSpec {
    readonly attributes: AttributeSpec[]

    static from(...attributes: AttributeSpec[]): AttributeGroupSpec

    getAttributeByName(name: string): AttributeSpec | undefined

    add(attribute: AttributeSpec): this

    setAttributes(attributes: AttributeSpec[]): void

    equals(other: AttributeGroupSpec): boolean

    hash(): number

    toJSON(): any

    fromJSON(json: any): void

    getByteSize(): number

    readonly isVertexDataSpec: true
}
